GDB (xrefs)

Public Attributes | List of all members
variant Struct Reference

## Public Attributes
const char * | name
const char * | description
enum bfd_architecture | arch
unsigned long | mach
struct target_desc ** | tdesc

## Detailed Description

Definition at line 3148 of file rs6000-tdep.c.

## Member Data Documentation

## ◆ arch

enum bfd_architecture variant::arch

Definition at line 3157 of file rs6000-tdep.c.

Referenced by find_variant_by_arch(), and rs6000_gdbarch_init().

## ◆ description

const char* variant::description

Definition at line 3154 of file rs6000-tdep.c.

## ◆ mach

unsigned long variant::mach

Definition at line 3160 of file rs6000-tdep.c.

Referenced by find_variant_by_arch(), and rs6000_gdbarch_init().

## ◆ name

const char* variant::name

Definition at line 3151 of file rs6000-tdep.c.

Referenced by find_variant_by_arch().

## ◆ tdesc

struct target_desc** variant::tdesc

Definition at line 3163 of file rs6000-tdep.c.

Referenced by rs6000_gdbarch_init().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/rs6000-tdep.c